## ros-iron-rcss3d-agent-msgs 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rcss3d_agent_msgs)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  "msg/Accelerometer.msg"
  "msg/AgentState.msg"
  "msg/Ball.msg"
  "msg/Beam.msg"
  "msg/Effector.msg"
  "msg/FieldLine.msg"
  "msg/Flag.msg"
  "msg/ForceResistance.msg"
  "msg/GameState.msg"
  "msg/Goalpost.msg"
  "msg/GyroRate.msg"
  "msg/Hear.msg"
  "msg/HingeJointPos.msg"
  "msg/HingeJointVel.msg"
  "msg/Percept.msg"
  "msg/Player.msg"
  "msg/Say.msg"
  "msg/Spherical.msg"
  "msg/Synchronize.msg"
  "msg/UniversalJointPos.msg"
  "msg/UniversalJointVel.msg"
  "msg/Vision.msg")

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  DEPENDENCIES builtin_interfaces
)

ament_package()

=== debian/changelog ===
ros-iron-rcss3d-agent-msgs (0.4.1-3jammy) jammy; urgency=high

  * Fix up comment in Player.msg
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Thu, 30 Jun 2022 16:00:00 -0000

ros-iron-rcss3d-agent-msgs (0.4.0-3jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Wed, 29 Jun 2022 16:00:00 -0000

ros-iron-rcss3d-agent-msgs (0.3.1-3jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Mon, 27 Jun 2022 16:00:00 -0000

ros-iron-rcss3d-agent-msgs (0.3.0-3jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Tue, 14 Jun 2022 16:00:00 -0000

ros-iron-rcss3d-agent-msgs (0.0.7-3jammy) jammy; urgency=high

  * fix phi and theta being swapped around
  * Update package.xml maintainer
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Sat, 23 Apr 2022 16:00:00 -0000

ros-iron-rcss3d-agent-msgs (0.0.6-3jammy) jammy; urgency=high

  * add Synchronize message
  * add effector msg to allow synchronize effector to be used
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Thu, 03 Feb 2022 16:00:00 -0000

ros-iron-rcss3d-agent-msgs (0.0.5-3jammy) jammy; urgency=high

  * add score left and score right to message received from simulator
  * add team name to hear msg
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Wed, 02 Feb 2022 16:00:00 -0000

ros-iron-rcss3d-agent-msgs (0.0.4-3jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Fri, 28 Jan 2022 16:00:00 -0000

ros-iron-rcss3d-agent-msgs (0.0.3-3jammy) jammy; urgency=high

  * Implemented all rcss3d_agent_msgs interfaces
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Thu, 27 Jan 2022 16:00:00 -0000

=== debian/control ===
Source: ros-iron-rcss3d-agent-msgs
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-builtin-interfaces, ros-iron-rosidl-default-generators, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rcss3d-agent-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-builtin-interfaces, ros-iron-rosidl-default-runtime, ros-iron-ros-workspace
Description: Custom messages for communicating with rcss3d_agent

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rcss3d-agent-msgs//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
